---
title: "Get Transaction Details"
slug: "check-the-status-of-validation-batch-job-with-transactions-details"
updated: 2024-08-06T07:36:55Z
published: 2024-08-06T07:36:55Z
canonical: "help.awin.com/check-the-status-of-validation-batch-job-with-transactions-details"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.awin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Transaction Details

Get/advertisers/{advertiserId}/transactions/jobs/{jobId}

Header parametersAuthorizationstring

accessToken

Path parametersadvertiserIdinteger (int64) Required

advertiserId

jobIdstringRequired

jobId

		
			

**Additional Path parameters**

**?output=errors**

To provide an additional list of the transactions that generated an error during validation, add the "output=errors" parameter to the URL. The API lists the individual transactions that are within the failedTransactions object.

**?output= all**

To generate a full list of all transactions inside the allTransactions object, add the "output=all" parameter to the URL instead.

		
		
Query parametersoutputstring

output

		
			

Response Body:

by transactionId, or by orderRef, transactionDate, and timezone.

| { "jobId": "5cb8290460b59a6e7ae22d0b", "status": "DONE", "transactions": 2, "allTransactions": null, "errors": 2, "failedTransactions": [ { "transactionId": 1234567, "orderRef": null, "transactionDate": null, "timezone": "", "code": "[404 NOT_FOUND]", "description": null }, { "transactionId": 1234568, "orderRef": null, "transactionDate": null, "timezone": "", "code": "[404 NOT_FOUND]", "description": null } ], "creationDate": "2019-04-18T09:49:35.558", "completionDate": "2019-04-18T09:49:36.513" } |
| --- |

		
		

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='8317350f-c7aa-4e40-967c-f42ab9816303'>application/json</option>
</select>
